Package org.eclipse.net4j.util.collection

# Class Entity.ComposedStore

java.lang.Object
org.eclipse.net4j.util.collection.Entity.ComposedStore

All Implemented Interfaces:
  `Entity.Store`

Enclosing class:
  `Entity`

public static final class Entity.ComposedStore extends Object implements Entity.Store

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.collection.Entity.Store

`Entity.Store.Provider`

## Constructor Summary

Constructors
Constructor
Description
`ComposedStore()`

## Method Summary

Modifier and Type
Method
Description
`Entity.ComposedStore`
`addStore(Entity.Store store)`
`Stream<Entity>`
`entities()`
`Stream<Entity>`
`entities(String namespace)`
`Entity`
`entity(String namespace, String name)`
`Stream<String>`
`names(String namespace)`
`Stream<String>`
`namespaces()`
`Entity.ComposedStore`
`removeStore(Entity.Store store)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.collection.Entity.Store

`entity, namespace, store`

## Constructor Details

### ComposedStore

public ComposedStore()

## Method Details

### addStore

public Entity.ComposedStore addStore(Entity.Store store)

### removeStore

public Entity.ComposedStore removeStore(Entity.Store store)

### namespaces

public Stream<String> namespaces()

Specified by:
  `namespaces` in interface `Entity.Store`

### names

public Stream<String> names(String namespace)

Specified by:
  `names` in interface `Entity.Store`

### entities

public Stream<Entity> entities()

Specified by:
  `entities` in interface `Entity.Store`

### entities

public Stream<Entity> entities(String namespace)

Specified by:
  `entities` in interface `Entity.Store`

### entity

public Entity entity(String namespace, String name)

Specified by:
  `entity` in interface `Entity.Store`